ICQ Update Patch

ICQ Update Patch 1.9

Free
Allows older ICQ versions that can not be executed because of an update anankasm
5.0  (2 votes)
1.9 (See all)

Many older ICQ versions can not be executed because of an update anankasm. The ICQ Update Patch finds a remedy here as it deactivates the automatical update and makes older versions usable again. ICQ Update Patch requires Windows 98, ME, 2000, XP, Vista or 7.

Info updated on: